Subject: Re: bug#78579: 30.0.92; Global variant of delete-trailing-whitespace-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 May 2025 18:50:16 +0300

> Cc: [email-masked]
> Date: Sat, 24 May 2025 11:14:24 -0400
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> > `delete-trailing-whitespace-mode` was introduced in commit 8a19c249f81.
> > Should there also be a `global-delete-trailing-whitespace-mode`?
> > This would allow
> >   (global-delete-trailing-whitespace-mode 1)
> > and turning it off in an individual buffer with
> >   (delete-trailing-whitespace-mode -1)
> 
> To define such a mode, we'll need to know when to enable it and when
> not: I'd be surprised if adding `delete-trailing-whitespace` globally
> to `before-save-hook` doesn't cause problems in various circumstances.
> 
> I don't have enough experience with that, so I'll let others decide if
> and how to do it.

I share the fears expressed by Stefan.  I think that such a global
mode would be more dangerous than it's useful.  After all, it's easy
to add the activation of the local minor mode to mode-hook of any
modes one wants.